Skip to content

Structure Search

Request

urlscan Pro - Get structurally similar results to a specific scan. See description for this propietary feature on urlscan Pro.

Security
apikeyAuth(Required scopes: readwrite)
Path
scanIdstringrequired

The original scan to compare to

Example:68e26c59-2eae-437b-aeb1-cf750fafe7d7
Query
qstring

Additional query filter

Example:q=page.domain:urlscan.io
sizeinteger

Maximum results per call

Example:size=10
search_afterstring

Parameter to iterate over older results

GET
/api/v1/pro/result/{scanId}/similar/
curl -i -X GET \
  'https://urlscan.io/api/v1/pro/result/68e26c59-2eae-437b-aeb1-cf750fafe7d7/similar/?q=page.domain%3Aurlscan.io&size=10&search_after=string' \
  -H 'api-key: YOUR_API_KEY_HERE'

Responses

OK

Bodyapplication/json
resultsArray of any

Array of search results

totalinteger

Total number of results with an exact count up to 10,000 results.

tookinteger

Search request time in milliseconds.

has_moreboolean

True if there are more than 10,000 results.

Response
{ "results": [ {}, {} ], "total": 7684, "took": 72, "has_more": false }